Bug 1120648 - Engine allows to run over an existing domain,it results in an unattached block domain which can't be reattached to DC nor be removed
Summary: Engine allows to run over an existing domain,it results in an unattached bloc...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Liron Aravot
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 10:45 UTC by Ori Gofen
Modified: 2016-02-10 19:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 11:12:57 UTC
oVirt Team: Storage


Attachments (Terms of Use)
vdsm+engine logs (1.94 MB, application/x-gzip)
2014-07-17 10:45 UTC, Ori Gofen
no flags Details

Description Ori Gofen 2014-07-17 10:45:41 UTC
Created attachment 918672 [details]
vdsm+engine logs

Description of problem:
Engine allows a creation of a new domain from Luns that are all-ready belong to a different domain on the setup(the domain is detached from dc)

when trying to reattach that domain:
2014-07-17 12:49:37,416 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Failed in HSMGetStorageDomainInf
  2014-07-17 12:49:37,417 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Command org.ovirt.engine.core.vd
  ยท
  OneStorageDomainInfoReturnForXmlRpc [mStatus=StatusForXmlRpc [mCode=350, mMessage=Error in storage domain action: ('sdUUID=c2d6cb5e-268a-4870-b428-f29f8fa48d89',)]]
  
  2014-07-17 12:49:37,426 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] HostName = vdsb
  2014-07-17 12:49:37,430 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Command HSMGetStorageDomainInfoV
  2014-07-17 12:49:37,443 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMGetStorageDomainInfoVDSCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] FINISH, HSMGetStorageDomainInfoV
  2014-07-17 12:49:37,449 ERROR [org.ovirt.engine.core.bll.storage.AttachStorageDomainToPoolCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Command org.ovirt.engine.core.bll.storage
  2014-07-17 12:49:37,476 INFO  [org.ovirt.engine.core.bll.storage.AttachStorageDomainToPoolCommand] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Command [id=654822a6-3525-4083-8035-a77ad
  2014-07-17 12:49:37,489 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (org.ovirt.thread.pool-8-thread-31) [41c20cd8] Correlation ID: 41c20cd8, Job ID: 92b8d
  2014-07-17 12:51:12,545 INFO  [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (ajp--127.0.0.1-8702-11) [1960bef] Lock Acquired to object EngineLock [exclusiveLocks= key: c2
  , sharedLocks= ]

when trying to remove it
 2014-07-17 12:51:15,064 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (ajp--127.0.0.1-8702-11) [6e308139] Failed in FormatStorageDomainVDS method
  2014-07-17 12:51:15,065 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (ajp--127.0.0.1-8702-11) [6e308139] Command org.ovirt.engine.core.vdsbroker.vdsbrok
   StatusOnlyReturnForXmlRpc [mStatus=StatusForXmlRpc [mCode=350, mMessage=Error in storage domain action: ('sdUUID=c2d6cb5e-268a-4870-b428-f29f8fa48d89',)]]
  2014-07-17 12:51:15,069 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (ajp--127.0.0.1-8702-11) [6e308139] HostName = vdsb
  2014-07-17 12:51:15,073 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (ajp--127.0.0.1-8702-11) [6e308139] Command FormatStorageDomainVDSCommand(HostName
  2014-07-17 12:51:15,090 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (ajp--127.0.0.1-8702-11) [6e308139] FINISH, FormatStorageDomainVDSCommand, log id:
  2014-07-17 12:51:15,095 ERROR [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (ajp--127.0.0.1-8702-11) [6e308139] Command org.ovirt.engine.core.bll.storage.RemoveStorageDom
  2014-07-17 12:51:15,115 ERROR [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp--127.0.0.1-8702-11) [6e308139] Correlation ID: 1960bef, Job ID: d249abaf-4d70-414
  2014-07-17 12:51:15,126 INFO  [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (ajp--127.0.0.1-8702-11) [6e308139] Lock freed to object EngineLock [exclusiveLocks= key: c2d6
  , sharedLocks= ]



Version-Release number of selected component (if applicable):
beta.1

How reproducible:
100%

Steps to Reproduce:
Setup:have a dc +1 host
1.hit the add a new domain,login to all Luns 
2.create a new block domain using two or more Luns
3.detach the domain
4.add a new host
5.select new host as SPM
6.add a new block domain,choose the pv's that belong to the detached domain

Actual results:
ui reports on 1 Lun that is being used and allows to run over the rest of the domain,the result of this action is an unattached block domain which can't be reattached to DC nor be removed

Expected results:
running a domain which exists on setup should not be aloud

Additional info:

Comment 1 Liron Aravot 2014-09-02 11:12:57 UTC
I've reproduced the scenario myself and with Ori.
A new domain couldn't be created from luns that are used by other domains.

Closing as WORKSFORME, if a new scenario would be found a new bug should be filed for it.


Note You need to log in before you can comment on or make changes to this bug.